Bug 115377 - Export to EPUB should get rid of spans being sole child of their p parent
Summary: Export to EPUB should get rid of spans being sole child of their p parent
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: EPUB-Export
  Show dependency treegraph
 
Reported: 2018-02-01 14:40 UTC by Daniel Glazman
Modified: 2019-04-08 02:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
ODT test file (104.49 KB, application/vnd.oasis.opendocument.text)
2018-02-01 14:40 UTC, Daniel Glazman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Glazman 2018-02-01 14:40:25 UTC
Created attachment 139499 [details]
ODT test file

Tested with Version: 6.1.0.0.alpha0+
Build ID: 3171066a959b52cd483bb22a0d1046e633f092f6

Steps to reproduce:

  1. launch LibreOffice
  2. open the attached test document
  3. File > Export As... > Export directly as EPUB
  4. unzip the *.epub you just saved
  5. open file OEBPS/sections/section002.xhtml in a source editor
  6. navigate to end of document

EXPECTED RESULT

  <p class="para2 span0">First list item</p>

ACTUAL RESULT

    <p class="para2">
        <span class="span0">third list item</span>
    </p>
Comment 1 Alex Thurgood 2018-02-13 09:22:21 UTC
Isn't this a duplicate of 115376 ?

*** This bug has been marked as a duplicate of bug 115376 ***
Comment 2 Alex Thurgood 2018-02-13 09:24:34 UTC
Ah, OK, I'mnot au fait with the subtleties of epub...sorry for the mistake

Confirming

Version: 6.1.0.0.alpha0+
Build ID: acd16c7e29c1619986d4d8b3b520da089ba34660
CPU threads: 4; OS: Mac OS X 10.13.3; UI render: default; 
Locale: fr-FR (fr_FR.UTF-8); Calc: group
Comment 3 QA Administrators 2019-04-08 02:46:32 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug